"""Set nullable FK to correctly delete users

Revision ID: 1a46a79d9108
Revises: a81513c2a4bf
Create Date: 2024-02-23 16:13:48.780670

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "1a46a79d9108"
down_revision = "a81513c2a4bf"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("api_key", "issued_by", existing_type=sa.INTEGER(), nullable=True)
    op.drop_constraint("api_key_issued_by_fkey", "api_key", type_="foreignkey")
    op.create_foreign_key(
        None, "api_key", "user", ["issued_by"], ["id"], ondelete="SET NULL"
    )
    op.drop_constraint("user_registered_by_fkey", "user", type_="foreignkey")
    op.create_foreign_key(
        None, "user", "user", ["registered_by"], ["id"], ondelete="SET NULL"
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "user", type_="foreignkey")
    op.create_foreign_key(
        "user_registered_by_fkey", "user", "user", ["registered_by"], ["id"]
    )
    op.drop_constraint(None, "api_key", type_="foreignkey")
    op.create_foreign_key(
        "api_key_issued_by_fkey", "api_key", "user", ["issued_by"], ["id"]
    )
    op.alter_column("api_key", "issued_by", existing_type=sa.INTEGER(), nullable=False)
    # ### end Alembic commands ###
